using Hotline.Orders;
using Quartz;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Hotline.Application.Jobs
{
    public class CheckAiVisitStateJob : IJob, IDisposable
    {
        private readonly IAiVisitDomainService _aiVisitDomainService;
        public CheckAiVisitStateJob(IAiVisitDomainService aiVisitDomainService)
        {
                _aiVisitDomainService = aiVisitDomainService;
        }
        public void Dispose()
        {
            
        }

        public async Task Execute(IJobExecutionContext context)
        {
            Console.WriteLine($"{nameof(CheckAiVisitStateJob)} 执行, {DateTime.Now}");
            await _aiVisitDomainService.OrderVisitStatusService(context.CancellationToken);
        }
    }
}
